svn-fast-backup(1)

NAME
svn-fast-backup - very fast backup for Subversion fsfs repositories.

SYNOPSIS
svn-fast-backup [-q] [-k{N|all}] [-f] [-t] [-s] repos_path backup_dir

DESCRIPTION
svn-fast-backup uses rsync snapshots for very fast backup of a Subversion fsfs repository at repos_path to backup_dir/repos-rev, the latest revision number in the repository. Multiple fsfs backups share data via hardlinks, so old backups are almost free, since a newer revision of a repository is almost a complete superset of an older revision.

This is good for replacing incremental log-dump+restore-style backups because it is just as space-conserving and even faster; there is no inter-backup state (old backups are essentially caches); each backup directory is self-contained. It has the same command-line interface as svn-hot-backup(1) (if you use --force), but only works for fsfs repositories.

svn-fast-backup keeps 64 backups by default and deletes backups older than these; this can be adjusted with the -k option.

OPTIONS

-h, --help
    Shows some brief help text.

-q, --quiet
    Quieter-than-usual operation.

-k, --keep=N
    Keep a specified number of backups; the default is to keep 64.

-k, --keep=all
    Do not delete any old backups at all.

-f, --force
    Make a new backup even if one with the current revision exists.

-t, --trace
    Show actions.

-s, --simulate
    Don't perform actions.

AUTHOR
Voluntary contributions made by many individuals. Copyright © 2006 CollabNet.